From 702bd881b66dc034e711c0ff47805f2da40b6e0d Mon Sep 17 00:00:00 2001
From: Yue Tao <yue.tao@windriver.com>
Date: Mon, 8 Aug 2016 16:04:33 +0800
Subject: [PATCH] Set the SYSROOT for libxml2 header file to avoid host
 contamination.

Upstream-Status: Inappropriate [embedded specific]

Signed-off-by: Yue Tao <yue.tao@windriver.com>
Signed-off-by: Yi Zhao <yi.zhao@windriver.com>

---
 configure.ac | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/configure.ac b/configure.ac
index 504a844..ff4688c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -931,15 +931,15 @@ if test "x$squid_opt_use_esi" = "xyes" -a "x$with_libxml2" != "xno" ; then
     dnl Find the main header and include path...
     AC_CACHE_CHECK([location of libxml2 include files], [ac_cv_libxml2_include], [
       AC_CHECK_HEADERS([libxml/parser.h], [], [
-        AC_MSG_NOTICE([Testing in /usr/include/libxml2])
+        AC_MSG_NOTICE([Testing in $SYSROOT/usr/include/libxml2])
         SAVED_CPPFLAGS="$CPPFLAGS"
-        CPPFLAGS="-I/usr/include/libxml2 $CPPFLAGS"
+        CPPFLAGS="-I$SYSROOT/usr/include/libxml2 $CPPFLAGS"
         unset ac_cv_header_libxml_parser_h
-        AC_CHECK_HEADERS([libxml/parser.h], [LIBXML2_CFLAGS="$LIBXML2_CFLAGS -I/usr/include/libxml2"], [
-          AC_MSG_NOTICE([Testing in /usr/local/include/libxml2])
-          CPPFLAGS="-I/usr/local/include/libxml2 $SAVED_CPPFLAGS"
+        AC_CHECK_HEADERS([libxml/parser.h], [LIBXML2_CFLAGS="$LIBXML2_CFLAGS -I$SYSROOT/usr/include/libxml2"], [
+          AC_MSG_NOTICE([Testing in $SYSROOT/usr/local/include/libxml2])
+          CPPFLAGS="-I$SYSROOT/usr/local/include/libxml2 $SAVED_CPPFLAGS"
           unset ac_cv_header_libxml_parser_h
-          AC_CHECK_HEADERS([libxml/parser.h], [LIBXML2_CFLAGS="$LIBXML2_CFLAGS -I/usr/local/include/libxml2"], [
+          AC_CHECK_HEADERS([libxml/parser.h], [LIBXML2_CFLAGS="$LIBXML2_CFLAGS -I$SYSROOT/usr/local/include/libxml2"], [
             AC_MSG_NOTICE([Failed to find libxml2 header file libxml/parser.h])
           ])
         ])
